class BeepasturesController < ApplicationController
  before_action :set_beepasture, only: %i[ show edit update destroy ]

  # GET /beepastures or /beepastures.json
  def index
    @beepastures = Beepasture.all

  end

  # GET /beepastures/1 or /beepastures/1.json
  def show
  end

  # GET /beepastures/new
  def new
    @beepasture = Beepasture.new
  end

  # GET /beepastures/1/edit
  def edit
  end

  # POST /beepastures or /beepastures.json
  def create
    @beepasture = Beepasture.new(beepasture_params)

    respond_to do |format|
      if @beepasture.save
        format.html { redirect_to @beepasture, notice: "Beepasture was successfully created." }
        format.json { render :show, status: :created, location: @beepasture }
      else
        format.html { render :new, status: :unprocessable_entity }
        format.json { render json: @beepasture.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /beepastures/1 or /beepastures/1.json
  def update
    respond_to do |format|
      if @beepasture.update(beepasture_params)
        format.html { redirect_to @beepasture, notice: "Beepasture was successfully updated." }
        format.json { render :show, status: :ok, location: @beepasture }
      else
        format.html { render :edit, status: :unprocessable_entity }
        format.json { render json: @beepasture.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /beepastures/1 or /beepastures/1.json
  def destroy
    @beepasture.destroy
    respond_to do |format|
      format.html { redirect_to beepastures_url, notice: "Beepasture was successfully destroyed." }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_beepasture
      @beepasture = Beepasture.find(params[:id])
      @sightings = @beepasture.sightings
    end

    # Only allow a list of trusted parameters through.
    def beepasture_params
      params.require(:beepasture).permit(:city, :address, :zip, :latitude, :longitude)
    end
end
